#Makefile for math functions of psLib
#
noinst_LTLIBRARIES = libpslibmath.la

libpslibmath_la_CPPFLAGS = $(SRCINC) $(GSL_CFLAGS)
libpslibmath_la_SOURCES = \
	psUnaryOp.c \
	psBinaryOp.c \
	psCompare.c \
	psMatrix.c \
	psMinimize.c \
	psRandom.c \
	psPolynomial.c \
	psSpline.c \
	psStats.c

EXTRA_DIST = math.i

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psUnaryOp.h \
	psBinaryOp.h \
	psCompare.h \
	psConstants.h \
	psMatrix.h \
	psMinimize.h \
	psRandom.h \
	psPolynomial.h \
	psSpline.h \
	psStats.h
